Subject: bug#70847: 29.3; eshell scripts "from anywhere"

From: Christopher Howard <[email-masked]>
Date: Tue, 28 May 2024 11:42:32 -0800

Hi, I applied these patches against the source for our "emacs-next" package, which gives version 30.0.50. However, something basic seems to be broken. If I do this basic procedure...

```
cd ~/local
EMACSLOADPATH=/home/christopher/local/share/emacs/site-lisp:/home/christopher/local/share/emacs/30.0.50/lisp ./bin/emacs -Q &
```

Then, M-x eshell-command echo blah RET

Under my normal 29.3 I expect to see "blah" echoed to the message area, but instead I get this error:

> Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
>   eshell-add-input-to-history("echo hello")
>   eshell-read-command()
>   byte-code("\301 \10D\207" [current-prefix-arg eshell-read-command] 2)
>   call-interactively(eshell-command record nil)
>   command-execute(eshell-command record)
>   execute-extended-command(nil "eshell-command" "eshell-comma")
>   funcall-interactively(execute-extended-command nil "eshell-command" "eshell-comma")
>   call-interactively(execute-extended-command nil nil)
>   command-execute(execute-extended-command)

-- 
Christopher Howard